import java.io.*;

public class TestSimulator
{
    public static void main(String[] args)
    {
        ArmSimulator obj = new ArmSimulator();

        BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
        String input;
        Sscanf line;
        int choice = 1;
        double[] value = new double[7];
        double data;

        System.out.println("1:waist 2:shoulder 3:elbow 4:wrist 5:twist " +
                           "6:grip 0:quit");        
        while (choice != 0)
        {
            try
            {
                input = in.readLine();
                line = new Sscanf(input);

                input = line.nextWord();
                choice = Integer.valueOf(input).intValue();
                if (choice >= 1 && choice <= 5)
                {
                    input = line.nextWord();
                    data = value[choice];
                    value[choice] = Double.valueOf(input).doubleValue();
                    if (obj.madeg(value[1], value[2], value[3], value[4], value[5])
                        == false)
                        value[choice] = data;
                    System.out.println(value[1] + ", " + value[2] + ", " +
                                       value[3] + ", " + value[4] + ", " +
                                       value[5]);
                }
                else if (choice == 6)
                {
                    input = line.nextWord();
                    data = value[choice];
                    value[choice] = Double.valueOf(input).doubleValue();
                    if (obj.grip(value[choice]) == false)
                        value[choice] = data;
                }
            }
            catch (Exception e)
            {
                System.out.println("Error: " + e);
                System.exit(0);
            }
        }
        System.exit(0);
    }
};
