import java.io.*;

public class DemoController {
  public static void main(String[] args) {
    ArmController arm = new ArmController();

    if (!arm.connect()) {
      System.out.println("Unable to connect the arm");
      System.exit(1);
    }
    System.out.println("Arm connected");
    arm.ready();
    System.out.println("Arm in ready position");
    for(int waist= -90; waist <= 90; waist += 45) {
      for(int shoulder = 45; shoulder <= 90; shoulder += 45) {
        for(int elbow = 10; elbow <= 30; elbow += 20) {
          for(int bend= -90; bend <= 90; bend += 180) {
            arm.madeg(waist, shoulder, -elbow, bend, 0);
          }
        }
      }
    }
    arm.ready();
/*
        arm.madeg(70, 80, 0, 0, -90);
        arm.madeg(0, 60, -45, -50, 0);
        arm.grip(0);
        arm.madeg(-90, 100, 0, 0, -90);
        arm.madeg(90, 80, 0, 0, 45);
*/
        System.out.println("Finished");
	arm.disconnect();
    }
};
