import java.io.*;

/**
* Sscanf.java
* @author Ho Ng
* @version 01/09/1998
*/
public class Sscanf
{
    private String buffer;
    private int ptr;

    /**
    * Default constructor
    **
    public Sscanf()
    {
        buffer = new String("");
        ptr = 0;
    }

    /**
    * Constructor
    * @param str input string
    */
    public Sscanf(String str)
    {
        buffer = new String(str);
        ptr = 0;
    }

    /**
    * purpose : get the next word in the string
    * @return next word in String format
    */
    public String nextWord()
    {
        String str = new String("");

        if (ptr == buffer.length())
            return null;
        
        char c = buffer.charAt(ptr);
        ptr++;
        while ((c == ' ') && (ptr < buffer.length()))
        {
            c = buffer.charAt(ptr);
            ptr++;
        }

        if (c == ' ')
            return null;

        str = str + c;
        while (ptr < buffer.length())
        {
            c = buffer.charAt(ptr);
            ptr++;
            if (c == ' ')
                return str;
            str = str + c;
        }

        return str;
    }
};
